jQuery.qeeree
=============

A library for parsing URL query parameters.

Usage
-----
Normal usage for this library is as follows:

    $.qeeree.get('pid')

* For a query string like this: '?pid=12345', get will return '12345'.
* For a query not containing the 'pid' parameter, get will return undefined.
* For a query which supplies no value, such as '?pid=', get will return an empty string.

A rudimentary Jasmine test suite can be found in test/specrunner.html

This project is hosted on github: https://github.com/bedmondmark/jquery.qeeree

To Do
-----
* I want to extend the API to support parsing arbitrary query strings.
* It would be nice if the library could parse whole urls.

Credits
-------
The original algorithm was provided as an answer at http://stackoverflow.com/questions/647259/javascript-query-string. I've turned it into a simple library with the intention of making it a robust, well-tested parser.

License
-------
The code is licensed under the Apache License, Version 2.0
